Upgrading Firmware on a WMP11, Incompatible interfaces

Jouni Malinen jkmaline at cc.hut.fi
Wed Jun 11 22:24:42 EDT 2003


On Thu, Jun 12, 2003 at 12:56:08AM +1000, Lee Ryman wrote:

> NICID: id=0x8013 v1.0.0 (PRISM II (2.5) Mini-PCI (SST parallel flash))
> PRIID: id=0x0015 v1.0.5
> STAID: id=0x001f v1.3.4 (station firmware)

> wlan0: RX: unknown MACPort 3

... other entries removed

> Quite lovely. Would I be correct in assuming its the firmware combo that is
> at fault?

Yes, I think that would be a good assumption.

> On attempt of a RAM-download of RF010409.HEX (from
> http://www.netgate.com/support/prism_firmware/, which is supposably
> compatible with this chipset revision) i get the following message from
> prism2_srec....

STA f/w v1.4.9 requires newer PRI f/w. If I remember correctly, you
would need to have PRI v1.0.7 for that. I do not know how to do RAM
downloading of PRI firmware correctly, so you would need to upgrade PRI
on the flash first. And while you are at it, I would upgrade STA f/w,
too.

> What whould be the best (safest, less likely to make a paper weight) method
> for getting 1.4.9 onto this card?

I have been using Intersil's Windows upgrade tool to upgrade Prism2.5
PCI cards. I think it is available somewhere and you might even be able
to find correct PRI firmware, too. I would suggest search mailing lists
archives for more information.

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list